<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }
define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
require_once INCLUDES."theme_functions_include.php";


function render_page($license=false) {
global $theme_width,$userdata,$settings,$locale,$data,$db_prefix,$lookup,$msg_count,$aidlink;

	//Header'is
echo "	<table cellspacing='0' cellpadding='0' width='960' align='center'>
	<tr>
	<td width='960'>
		<table cellspacing='0' cellpadding='0' width='960' height='212' align='center'>
		<tr>
		<td background='".THEME."images/header.png' width='960' height='212'>
		</td>
		</tr>
		</table>
";
	//Navigacija

	echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n
	<td>
	<div id='container'>
	<div id='sub-nav'>
	<a href='".BASEDIR."index.php'></a>
	<ul>
		<li><a href='".BASEDIR."index.php' class='home'>Pagrindinis</a></li>
		<li><a href='".BASEDIR."forum/index.php'>Forumas</a></li>
		<li><a href='".BASEDIR."viewpage.php?page_id=1'>Taisykles</a></li>
		<li><a href='".BASEDIR."search.php'>Komanda</a></li>
		<li><a href='".BASEDIR."contact.php'>Clan Wars</a></li>
		<li><a href='".BASEDIR."viewpage.php?page_id=2'>Paslaugos</a></li>
		<li><a href='".BASEDIR."viewpage.php?page_id=2'>Parama</a></li>	
	</ul>
	</div>
	</td>
	</table>\n";

	//Header4

	echo "<table align='center' cellpadding='0' cellspacing='0' class='paneles4'>\n<tr>
	<td align='right' width='0'>";
	echo "</td>
	</tr>
	</table>";

	//Content

	echo "<table cellpadding='0' cellspacing='0' width='960' align='center' class='content'><tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top' width='200'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top' width='200'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

 	//Footer

	echo "<table cellpadding='0' cellspacing='0' align='center' width='960'>
	<tr>
	<td align='left' class='footer'>

	</td>

	<td align='right' class='footer2'>

	</td>
	</tr>
	</table>\n";

 }

function render_news($subject, $news, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left3'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main3'>$subject</td>";
	echo "<td class='panel-right3'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left3'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'></td>";
	echo "<td class='main-body'><div style='width:100%;vertical-align:top;'>$news</div>";
	echo "<div style='margin-top:5px'>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr><br>";
	echo "<td class='infobar'>".newsposter($info," &middot;")."</td>";

	echo "<td align='right' class='infobar'>";
	echo newsopts($info,"&middot;").itemoptions("N",$info['news_id']);

	echo "</td></tr></table></div></td>";
	echo "<td class='border-right3'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'>";
	echo "</td></tr><tr>";
	echo "<td class='border-bleft3'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bmain3'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bright3'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left3'><img src='".THEME."images/blank.gif' width='6' height='30' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main3'>$subject</td>";
	echo "<td class='panel-right3'><img src='".THEME."images/blank.gif' width='6' height='30' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left3'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'></td>";
	echo "<td class='article-body'><div style='width:100%;vertical-align:top;'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div><br>";
	echo "<div style='margin-top:5px'>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr><br>";
	echo "<td class='infobar2'>".articleposter($info," &middot;")."</td>";

	echo "<td align='right' class='infobar2'>";
 	echo articleopts($info,"&middot;").itemoptions("A",$info['article_id']);

	echo "</td></tr></table></div></td>";
	echo "<td class='border-right3'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'></td>";
	echo "</tr><tr>";
	echo "<td class='border-bleft3'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bmain3'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bright3'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function opentable($title) {

	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr><td class='panel-left2'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main2'>$title</td>";
	echo "<td class='panel-right2'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left2'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'></td>";
	echo "<td class='reklama-body'><br>\n";
}

function closetable() {

	echo "</td>";
	echo "<td class='border-right2'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft2'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bmain2'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bright2'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

function openside($title) {


	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='panel-left'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'></td>";
	echo "<td width='100%' class='panel-main'>$title</td>";
	echo "<td class='panel-right'><img src='".THEME."images/blank.gif' width='10' height='30' alt='' style='display:block'></td>";
	echo "</tr></table>";
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>";
	echo "<td class='border-left'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'></td>";
	echo "<td class='side-body'><br>\n";

}

function closeside() {

	global $panel_collapse;
	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>";
	echo "<td class='border-right'><img src='".THEME."images/blank.gif' width='10' height='10' alt='' style='display:block'></td></tr>";
	echo "<tr>";
	echo "<td class='border-bleft'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>";
	echo "<td class='border-bright'><img src='".THEME."images/blank.gif' width='10' height='16' alt='' style='display:block'></td>";
	echo "</tr></table><br>\n";
}

?>